Bug 81403

Summary: smartmontools is malfunctioning on FreeBSD > 600027
Product: Ports & Packages Reporter: Oliver Lehmann <oliver>
Component: Individual Port(s)Assignee: Oliver Lehmann <oliver>
Status: Closed FIXED    
Severity: Affects Only Me CC: oliver
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch-smartmontools
none
smartmontools-patch
none
patch-smartmontools none

Description Oliver Lehmann freebsd_committer 2005-05-23 14:30:05 UTC
	http://www.freebsd.org/cgi/cvsweb.cgi/src/sys/sys/ata.h?f=h#rev1.26
	that change causes smartmontools to malfunctioning
Comment 1 Oliver Lehmann freebsd_committer 2005-05-23 14:34:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

I'll handle it
Comment 2 Oliver Lehmann freebsd_committer 2005-05-23 15:38:08 UTC
Hi,

sos@ was so kind and provided me a patch which makes smartmontools working
again on FreeBSD 6. I changed the patch a bit so os_freebsd.c would also
work on earlier FreeBSD versions like it does now. Please aprove the
commit.

 Greetings

-- 
 Oliver Lehmann
  http://www.pofo.de/
  http://wishlist.ans-netz.de/
Comment 3 Oliver Lehmann freebsd_committer 2005-05-23 16:03:32 UTC
State Changed
From-To: open->feedback

awaiting maintainers approval - timout is 2005-06-06
Comment 4 Oliver Lehmann 2005-05-23 17:53:39 UTC
I included the wrong (original) patch. Please find the correct one
attached

-- 
 Oliver Lehmann
  http://www.pofo.de/
  http://wishlist.ans-netz.de/
Comment 5 martines 2005-05-25 01:02:21 UTC
I approve.  I will also include this patch in the upstream source for 
smartmontools.

Thanks!
Ed

Oliver Lehmann wrote:
> I included the wrong (original) patch. Please find the correct one
> attached
>
Comment 6 Oliver Lehmann freebsd_committer 2005-05-25 02:16:05 UTC
State Changed
From-To: feedback->closed

fix committed